/* sphereDriver.cpp shows how to use converter operations
 *  to store/retrieve an object's representation to/from a file.
 * ... other documentation omitted ...
 ***************************************************************/

#include <string>            // class string
#include <iostream>          // cin, cout, ...
#include <fstream>           // ifstream, ofstream, ...
#include "Sphere.h"
using namespace std;

int main()
{
  cout << "\nTo compute the weight of a sphere,\n"
       << " enter its radius and density: ";
  Sphere aSphere;
  aSphere.readRadiusAndDensity(cin);
  
  ofstream fout("Sphere.txt");
  fout << "Sphere\n" << aSphere.asString() << endl;
  fout.close();
  
  ifstream fin("Sphere.txt");
  string classString, attributeString;
  getline(fin, classString);
  getline(fin, attributeString);
  fin.close();
  
  if (classString == "Sphere")
  {
     Sphere sameSphere(attributeString);
     sameSphere.print(cout);
     cout << endl;
  }
  else
  {
     cerr << "Unexpected class: " << classString << endl;
     exit(1);
  }
}
